Creates a new purchase order
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| id2 |
Internal ID (numeric) automatically filled if empty |
integer | |
| jobs_id |
Foreign key to Jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" using ERP PK when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| supplier_company_id |
Foreign key to company, contains the supplier |
globally unique identifier | |
| supplier_company_code |
Embedded entity "company" for the supplier using ERP PK when adding/updating |
string | |
| supplier_company |
Embedded entity "company" for supplier using ERP PK when adding/updating |
company | |
| user_id |
Creator of the purchase order |
globally unique identifier | |
| user_code |
Embedded entity "user" for creator using ERP PK when adding/updating purchase_order |
string | |
| user |
Embedded entity "user" for creator using node when adding/updating purchase_order |
user | |
| description |
Description of the purchase order |
string |
Max length: 4000 |
| memo |
Memo, remark |
string | |
| total_lines |
Number of lines, automatically filled when adding/updating/deleting lines |
integer | |
| date_create |
Creation date |
date | |
| date_update |
Last update date |
date | |
| date_delivery |
Estimated date of delivery |
date | |
| confirmed_date_delivery |
Date of the delivery |
date | |
| delivery_db_address_id |
If Delivery and no picking, AddressID of the company (if not the main) |
globally unique identifier | |
| approved_by_user_id |
If approval was needed, which user approves it |
globally unique identifier | |
| approved_by_user_code |
Embedded entity "user" for approver using ERP PK when adding/updating purchase_order |
string | |
| approved_by_user |
Embedded entity "user" for approver using node when adding/updating purchase_order |
user | |
| technical_user_id |
User to contact if case of technical question about the purchase order |
globally unique identifier | |
| technical_user_code |
Embedded entity "user" for technical user using ERP PK when adding/updating purchase_order |
string | |
| technical_user |
Embedded entity "user" for technical user using node when adding/updating purchase_order |
user | |
| purchase_order_status_id |
Foreign key to purchase_order_status |
globally unique identifier |
Optionally required : purchase_order_status_id or purchase_order_status_code must be provided |
| purchase_order_status_code |
Foreign key to purchase_order_status using code. Use "Approved","SentToSupplier","Cancelled" or "Delivered" |
string |
Optionally required : purchase_order_status_id or purchase_order_status_code must be provided |
| article_stock_location_id |
Stock location that will receive the articles |
globally unique identifier | |
| is_pickup |
If pickup, the technician will go himself to the supplier to take the goods |
boolean | |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "790f8019-ae85-4179-9fac-1942a4007731",
"id2": 2,
"jobs_id": "5141b82f-75e3-4507-a991-d5362e616bee",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "65b71ca6-2cf0-42a8-b267-7b8bce49752f",
"supplier_company_code": "sample string 6",
"user_id": "ed35d17d-182b-47e4-8ea7-1c7055257447",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-06-11T22:09:08.9552137+00:00",
"date_update": "2026-06-11T22:09:08.9552137+00:00",
"date_delivery": "2026-06-11T22:09:08.9552137+00:00",
"confirmed_date_delivery": "2026-06-11T22:09:08.9552137+00:00",
"delivery_db_address_id": "77a0103c-4a9a-4e7d-82a7-57d4449d9494",
"approved_by_user_id": "b612f317-f4e3-4dba-8867-21d85c8e9e77",
"approved_by_user_code": "sample string 18",
"technical_user_id": "2d78a36a-dc4d-44a8-bf0e-c8e3da92e10a",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "58d7ffd5-e100-4b83-a979-56fe045d50cd",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "f8c8b8c6-551e-42fe-b93b-3fa35257513c",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-06-11T22:09:08.9552137+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.